.light-blue-border {
  border: 1px solid #e0e0e0;
}

.product-des-text {
  /* padding: 10px; */
  border: 1px solid #a6ccff;
  /* margin: 10px; */
}

.product-des-text div {
  color: #1e335e;
  font-weight: 700;
}
.bat-card {
  padding: 20px;
  background-color: #ecf2ff;
}
.bat-des {
  padding: 0 20px 20px;
}
.product-card {
  margin-bottom: 20px;
  box-shadow: 0px 10.21px 40.84px 0px #0000001f;
}
.main-card-container {
  display: grid;
  flex-wrap: wrap;
  grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
  position: relative;
  gap: 25px;
}
.text-color-pri {
  color: #1e335e;
}

.product-card-modeltxt {
  font-size: 18px;
  font-weight: 600;
  line-height: 31.86px;
  text-align: center;
  color: #1c1c1c;
  padding: 16px 0px;
}
.menu-icon {
  color: white !important;
}
.product-card:hover .product-card-modeltxt,
.product-card:hover .view-product-btn {
  color: #fff;
  font-weight: bold;
}
.product-card:hover .bat-des {
  background-color: #1e335e;
}
.view-product-btn {
  font-family: Montserrat, sans-serif;
  font-size: 16px;
  font-weight: 600;
  color: #1e335e;
  text-align: center;
  display: flex;
  justify-content: center;
}

.product-main-img {
  border: 1px solid #e0e0e0;
}

.product-main-img-card {
  border: 1px solid #e0e0e0;
}
.product-card .bat-card img {
  max-width: 185px;
  height: 180px;
  transition: transform 0.3s ease-in-out;
  object-fit: contain;
}

.product-card:hover .bat-card img {
  transform: scale(1.06);
}
.product-main-card-footer {
  text-align: center;
  background-color: #1e335e;
  color: #ffffff;
  padding: 10px;
  font-weight: 700;
}
.header-wrap h1 {
  color: #1e335e !important;
  font-family: "Exo 2", sans-serif;
  font-size: 50px !important;
  font-weight: 700;
}

.tech-card {
  padding: 100px 0;
  position: relative;
}
.container-details {
  width: 100%;
  height: 100%;
  position: absolute;
  display: flex;
  justify-content: space-between;
  align-items: center !important;
  top: 0;
}
.tech-card img {
  position: relative;
  width: 100%;
}
.btn-contact {
  padding: 10px 26px 10px 20px;
  background-color: #ffffff;
  color: #1c1c1c;
  z-index: 1;
  font-family: Montserrat, sans-serif;
  font-size: 18px;
  font-weight: 500px;
}
.tech-card p {
  font-family: Montserrat, sans-serif;
  font-size: 40px;
  display: contents;
  font-weight: 700;
  color: #ffffff;
  /* padding: 100px 0; */
}
.product-cards {
  border: 1.5px solid #a5a5a5;
  border-radius: 5px;
  padding: 31px 0 10px 0;
  margin-bottom: 40px;
}
.product-cards h1 {
  font-family: Montserrat, sans-serif;
  font-size: 36px;
  font-weight: 600;
  color: #1e335e;
}
.product-cards p {
  font-family: Montserrat, sans-serif;
  font-size: 16px;
  font-weight: 600;
}
.product-cards span {
  font-family: Montserrat, sans-serif;
  font-size: 16px;
  font-weight: 500;
}
.content-main {
  padding: 20px;
}
.content-main > ul {
  list-style: none;
}

.content-main > ul > li {
  margin: 20px;
  position: relative;
}

.content-main > ul > li::before {
  filter: brightness(0.5);
  content: "";
  position: absolute;
  left: -27px;
  top: 50%;
  width: 10px;
  height: 10px;
  transform: translateY(-50%);
  background-repeat: no-repeat;
  background-size: cover;
  background-image: url(../images/right-arrow.svg);
}

.content-icon {
  margin-top: 4px;
  color: #1e335e !important;
}
.img-prod {
  padding: 0 0 50px 0;
}
.heading-title {
  color: #1c1c1c;
  font-family: Montserrat, sans-serif;
  font-size: 36px;
  font-weight: 400px;
}
.heading-title span {
  color: #1e335e;
  font-family: Montserrat, sans-serif;
  font-size: 36px;
  font-weight: 700px !important;
}
.header-bg {
  height: 598px;
}
.header-wrap {
  display: flex;
  justify-content: center;
  align-items: center;
}
/* Media queries for responsiveness */
@media (max-width: 1400px) {
  .header-bg {
    height: 530px;
  }
}
@media (max-width: 1200px) {
  .product-card .bat-card img {
    max-width: 170px;
    height: 170px;
  }
  .header-bg {
    height: 480px;
  }
  .header-wrap h1 {
    font-size: 40px !important;
    font-weight: 700;
  }
  .main-card-container {
    grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
  }
}

@media (max-width: 992px) {
  .header-bg {
    height: 390px;
  }
  .heading-title,
  .heading-title span {
    font-size: 26px;
  }
  .content-icon {
    margin-top: 4px;
  }
  .tech-card p {
    font-size: 30px;
  }
  .btn-contact {
    font-size: 14px;
  }
  .product-cards h1 {
    font-size: 22px;
  }
  .product-cards p {
    font-size: 14px;
  }
  .header-wrap h1 {
    font-size: 36px !important;
    font-weight: 700;
  }
  .product-card-modeltxt {
    font-size: 18px;
  }
  .view-product-btn {
    font-size: 14px;
  }
  .main-card-container {
    grid-template-columns: repeat(auto-fill, minmax(160px, 1fr));
  }
}

@media (max-width: 768px) {
  .header-bg {
    height: 340px;
  }
  .resp-product {
    text-align: center;
    flex-direction: column;
    gap: 8px;
  }
  .tech-card img {
    height: 130px;
  }
  .tech-card {
    padding: 60px 0;
  }
  .tech-card p {
    font-size: 27px;
  }
  .btn-contact {
    font-size: 12px;
  }
  .header-wrap h1 {
    max-width: 235px;
    font-size: 30px !important;
    font-weight: 700;
  }
  .main-card-container {
    grid-template-columns: repeat(auto-fill, minmax(190px, 1fr));
  }
}

@media (max-width: 500px) {
  .content-main {
    padding: 5px 0;
  }
  .header-bg {
    height: 250px;
  }
  .product-card {
    display: flex;
    flex-direction: column;
    justify-self: center;
    width: 230px;
    justify-content: center;
  }
  .bat-card {
    width: 100%;
  }
  .heading-title,
  .heading-title span {
    font-size: 22px;
  }
  .header-wrap h1 {
    font-size: 26px !important;
    font-weight: 700;
  }
  .header-wrap {
    padding: 100px 0px !important;
  }
  .main-card-container {
    grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
  }
}
